package com.yanzhu.jh.project.service;

import com.yanzhu.jh.project.domain.SurProjectCostOutput;

import java.util.List;

/**
 * 项目成本产值Service接口
 * 
 * @author ruoyi
 * @date 2023-08-27
 */
public interface ISurProjectCostOutputService 
{
    /**
     * 查询项目成本产值
     * 
     * @param id 项目成本产值主键
     * @return 项目成本产值
     */
    public SurProjectCostOutput selectSurProjectCostOutputById(Long id);

    /**
     * 查询项目成本产值列表
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 项目成本产值集合
     */
    public List<SurProjectCostOutput> selectSurProjectCostOutputList(SurProjectCostOutput surProjectCostOutput);

    /**
     * 新增项目成本产值
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 结果
     */
    public int insertSurProjectCostOutput(SurProjectCostOutput surProjectCostOutput);

    /**
     * 修改项目成本产值
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 结果
     */
    public int updateSurProjectCostOutput(SurProjectCostOutput surProjectCostOutput);

    /**
     * 批量删除项目成本产值
     * 
     * @param ids 需要删除的项目成本产值主键集合
     * @return 结果
     */
    public int deleteSurProjectCostOutputByIds(Long[] ids);

    /**
     * 删除项目成本产值信息
     * 
     * @param id 项目成本产值主键
     * @return 结果
     */
    public int deleteSurProjectCostOutputById(Long id);

    /**
     * 项目初始化
     * @param projectId
     */
    public void initProject(long projectId);

    public void addYearInvestment(SurProjectCostOutput where);

    public void addMonthInvestment(SurProjectCostOutput where);

    public List<SurProjectCostOutput> selectYearAndMonth(SurProjectCostOutput where);

    public List<SurProjectCostOutput> sumByDeptId(SurProjectCostOutput where);
}
